diff --git a/arch/arm64/boot/dts/nvidia/tegra234-p3737-0000+p3701-0000.dts b/arch/arm64/boot/dts/nvidia/tegra234-p3737-0000+p3701-0000.dts
index 96aa2267b06d8..8a9747855d6b6 100644
--- a/arch/arm64/boot/dts/nvidia/tegra234-p3737-0000+p3701-0000.dts
+++ b/arch/arm64/boot/dts/nvidia/tegra234-p3737-0000+p3701-0000.dts
@@ -1022,972 +1031,968 @@
 						#size-cells = <0>;
 
 						port@0 {
-							reg = <0>;
+							reg = <0x0>;
 
-							sfc2_cif_in: endpoint {
-								remote-endpoint = <&xbar_sfc2_in>;
+							asrc_in1_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_in1_ep>;
 							};
 						};
 
-						sfc2_out_port: port@1 {
-							reg = <1>;
+						port@1 {
+							reg = <0x1>;
 
-							sfc2_cif_out: endpoint {
-								remote-endpoint = <&xbar_sfc2_out>;
+							asrc_in2_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_in2_ep>;
 							};
 						};
-					};
-				};
 
-				sfc@2902400 {
-					status = "okay";
+						port@2 {
+							reg = <0x2>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+							asrc_in3_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_in3_ep>;
+							};
+						};
 
-						port@0 {
-							reg = <0>;
+						port@3 {
+							reg = <0x3>;
 
-							sfc3_cif_in: endpoint {
-								remote-endpoint = <&xbar_sfc3_in>;
+							asrc_in4_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_in4_ep>;
 							};
 						};
 
-						sfc3_out_port: port@1 {
-							reg = <1>;
+						port@4 {
+							reg = <0x4>;
 
-							sfc3_cif_out: endpoint {
-								remote-endpoint = <&xbar_sfc3_out>;
+							asrc_in5_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_in5_ep>;
 							};
 						};
-					};
-				};
-
-				sfc@2902600 {
-					status = "okay";
-
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
 
-						port@0 {
-							reg = <0>;
+						port@5 {
+							reg = <0x5>;
 
-							sfc4_cif_in: endpoint {
-								remote-endpoint = <&xbar_sfc4_in>;
+							asrc_in6_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_in6_ep>;
 							};
 						};
 
-						sfc4_out_port: port@1 {
-							reg = <1>;
+						port@6 {
+							reg = <0x6>;
 
-							sfc4_cif_out: endpoint {
-								remote-endpoint = <&xbar_sfc4_out>;
+							asrc_in7_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_in7_ep>;
 							};
 						};
-					};
-				};
 
-				amx@2903000 {
-					status = "okay";
+						asrc_out1_port: port@7 {
+							reg = <0x7>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+							asrc_out1_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_out1_ep>;
+							};
+						};
 
-						port@0 {
-							reg = <0>;
+						asrc_out2_port: port@8 {
+							reg = <0x8>;
 
-							amx1_in1: endpoint {
-								remote-endpoint = <&xbar_amx1_in1>;
+							asrc_out2_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_out2_ep>;
 							};
 						};
 
-						port@1 {
-							reg = <1>;
+						asrc_out3_port: port@9 {
+							reg = <0x9>;
 
-							amx1_in2: endpoint {
-								remote-endpoint = <&xbar_amx1_in2>;
+							asrc_out3_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_out3_ep>;
 							};
 						};
 
-						port@2 {
-							reg = <2>;
+						asrc_out4_port: port@a {
+							reg = <0xa>;
 
-							amx1_in3: endpoint {
-								remote-endpoint = <&xbar_amx1_in3>;
+							asrc_out4_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_out4_ep>;
 							};
 						};
 
-						port@3 {
-							reg = <3>;
+						asrc_out5_port: port@b {
+							reg = <0xb>;
 
-							amx1_in4: endpoint {
-								remote-endpoint = <&xbar_amx1_in4>;
+							asrc_out5_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_out5_ep>;
 							};
 						};
 
-						amx1_out_port: port@4 {
-							reg = <4>;
+						asrc_out6_port:	port@c {
+							reg = <0xc>;
 
-							amx1_out: endpoint {
-								remote-endpoint = <&xbar_amx1_out>;
+							asrc_out6_ep: endpoint {
+								remote-endpoint = <&xbar_asrc_out6_ep>;
 							};
 						};
 					};
 				};
 
-				amx@2903100 {
-					status = "okay";
+				ports {
+					#address-cells = <1>;
+					#size-cells = <0>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+					port@0 {
+						reg = <0x0>;
 
-						port@0 {
-							reg = <0>;
+						xbar_admaif0: endpoint {
+							remote-endpoint = <&admaif0>;
+						};
+					};
 
-							amx2_in1: endpoint {
-								remote-endpoint = <&xbar_amx2_in1>;
-							};
+					port@1 {
+						reg = <0x1>;
+
+						xbar_admaif1: endpoint {
+							remote-endpoint = <&admaif1>;
 						};
+					};
 
-						port@1 {
-							reg = <1>;
+					port@2 {
+						reg = <0x2>;
 
-							amx2_in2: endpoint {
-								remote-endpoint = <&xbar_amx2_in2>;
-							};
+						xbar_admaif2: endpoint {
+							remote-endpoint = <&admaif2>;
 						};
+					};
 
-						port@2 {
-							reg = <2>;
+					port@3 {
+						reg = <0x3>;
 
-							amx2_in3: endpoint {
-								remote-endpoint = <&xbar_amx2_in3>;
-							};
+						xbar_admaif3: endpoint {
+							remote-endpoint = <&admaif3>;
 						};
+					};
 
-						port@3 {
-							reg = <3>;
+					port@4 {
+						reg = <0x4>;
 
-							amx2_in4: endpoint {
-								remote-endpoint = <&xbar_amx2_in4>;
-							};
+						xbar_admaif4: endpoint {
+							remote-endpoint = <&admaif4>;
 						};
+					};
 
-						amx2_out_port: port@4 {
-							reg = <4>;
+					port@5 {
+						reg = <0x5>;
 
-							amx2_out: endpoint {
-								remote-endpoint = <&xbar_amx2_out>;
-							};
+						xbar_admaif5: endpoint {
+							remote-endpoint = <&admaif5>;
 						};
 					};
-				};
 
-				amx@2903200 {
-					status = "okay";
+					port@6 {
+						reg = <0x6>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_admaif6: endpoint {
+							remote-endpoint = <&admaif6>;
+						};
+					};
 
-						port@0 {
-							reg = <0>;
+					port@7 {
+						reg = <0x7>;
 
-							amx3_in1: endpoint {
-								remote-endpoint = <&xbar_amx3_in1>;
-							};
+						xbar_admaif7: endpoint {
+							remote-endpoint = <&admaif7>;
 						};
+					};
 
-						port@1 {
-							reg = <1>;
+					port@8 {
+						reg = <0x8>;
 
-							amx3_in2: endpoint {
-								remote-endpoint = <&xbar_amx3_in2>;
-							};
+						xbar_admaif8: endpoint {
+							remote-endpoint = <&admaif8>;
 						};
+					};
 
-						port@2 {
-							reg = <2>;
+					port@9 {
+						reg = <0x9>;
 
-							amx3_in3: endpoint {
-								remote-endpoint = <&xbar_amx3_in3>;
-							};
+						xbar_admaif9: endpoint {
+							remote-endpoint = <&admaif9>;
 						};
+					};
 
-						port@3 {
-							reg = <3>;
+					port@a {
+						reg = <0xa>;
 
-							amx3_in4: endpoint {
-								remote-endpoint = <&xbar_amx3_in4>;
-							};
+						xbar_admaif10: endpoint {
+							remote-endpoint = <&admaif10>;
 						};
+					};
 
-						amx3_out_port: port@4 {
-							reg = <4>;
+					port@b {
+						reg = <0xb>;
 
-							amx3_out: endpoint {
-								remote-endpoint = <&xbar_amx3_out>;
-							};
+						xbar_admaif11: endpoint {
+							remote-endpoint = <&admaif11>;
 						};
 					};
-				};
 
-				amx@2903300 {
-					status = "okay";
+					port@c {
+						reg = <0xc>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_admaif12: endpoint {
+							remote-endpoint = <&admaif12>;
+						};
+					};
 
-						port@0 {
-							reg = <0>;
+					port@d {
+						reg = <0xd>;
 
-							amx4_in1: endpoint {
-								remote-endpoint = <&xbar_amx4_in1>;
-							};
+						xbar_admaif13: endpoint {
+							remote-endpoint = <&admaif13>;
 						};
+					};
 
-						port@1 {
-							reg = <1>;
+					port@e {
+						reg = <0xe>;
 
-							amx4_in2: endpoint {
-								remote-endpoint = <&xbar_amx4_in2>;
-							};
+						xbar_admaif14: endpoint {
+							remote-endpoint = <&admaif14>;
 						};
+					};
 
-						port@2 {
-							reg = <2>;
+					port@f {
+						reg = <0xf>;
 
-							amx4_in3: endpoint {
-								remote-endpoint = <&xbar_amx4_in3>;
-							};
+						xbar_admaif15: endpoint {
+							remote-endpoint = <&admaif15>;
+						};
+					};
+
+					port@10 {
+						reg = <0x10>;
+
+						xbar_admaif16: endpoint {
+							remote-endpoint = <&admaif16>;
 						};
+					};
 
-						port@3 {
-							reg = <3>;
+					port@11 {
+						reg = <0x11>;
 
-							amx4_in4: endpoint {
-								remote-endpoint = <&xbar_amx4_in4>;
-							};
+						xbar_admaif17: endpoint {
+							remote-endpoint = <&admaif17>;
 						};
+					};
 
-						amx4_out_port: port@4 {
-							reg = <4>;
+					port@12 {
+						reg = <0x12>;
 
-							amx4_out: endpoint {
-								remote-endpoint = <&xbar_amx4_out>;
-							};
+						xbar_admaif18: endpoint {
+							remote-endpoint = <&admaif18>;
 						};
 					};
-				};
 
-				adx@2903800 {
-					status = "okay";
+					port@13 {
+						reg = <0x13>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_admaif19: endpoint {
+							remote-endpoint = <&admaif19>;
+						};
+					};
 
-						port@0 {
-							reg = <0>;
+					xbar_i2s1_port: port@14 {
+						reg = <0x14>;
 
-							adx1_in: endpoint {
-								remote-endpoint = <&xbar_adx1_in>;
-							};
+						xbar_i2s1: endpoint {
+							remote-endpoint = <&i2s1_cif>;
 						};
+					};
 
-						adx1_out1_port: port@1 {
-							reg = <1>;
+					xbar_i2s2_port: port@15 {
+						reg = <0x15>;
 
-							adx1_out1: endpoint {
-								remote-endpoint = <&xbar_adx1_out1>;
-							};
+						xbar_i2s2: endpoint {
+							remote-endpoint = <&i2s2_cif>;
 						};
+					};
 
-						adx1_out2_port: port@2 {
-							reg = <2>;
+					xbar_i2s4_port: port@17 {
+						reg = <0x17>;
 
-							adx1_out2: endpoint {
-								remote-endpoint = <&xbar_adx1_out2>;
-							};
+						xbar_i2s4: endpoint {
+							remote-endpoint = <&i2s4_cif>;
 						};
+					};
 
-						adx1_out3_port: port@3 {
-							reg = <3>;
+					xbar_i2s6_port: port@19 {
+						reg = <0x19>;
 
-							adx1_out3: endpoint {
-								remote-endpoint = <&xbar_adx1_out3>;
-							};
+						xbar_i2s6: endpoint {
+							remote-endpoint = <&i2s6_cif>;
 						};
+					};
 
-						adx1_out4_port: port@4 {
-							reg = <4>;
+					xbar_dmic3_port: port@1c {
+						reg = <0x1c>;
 
-							adx1_out4: endpoint {
-								remote-endpoint = <&xbar_adx1_out4>;
-							};
+						xbar_dmic3: endpoint {
+							remote-endpoint = <&dmic3_cif>;
 						};
 					};
-				};
 
-				adx@2903900 {
-					status = "okay";
+					xbar_sfc1_in_port: port@20 {
+						reg = <0x20>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_sfc1_in: endpoint {
+							remote-endpoint = <&sfc1_cif_in>;
+						};
+					};
 
-						port@0 {
-							reg = <0>;
+					port@21 {
+						reg = <0x21>;
 
-							adx2_in: endpoint {
-								remote-endpoint = <&xbar_adx2_in>;
-							};
+						xbar_sfc1_out: endpoint {
+							remote-endpoint = <&sfc1_cif_out>;
 						};
+					};
 
-						adx2_out1_port: port@1 {
-							reg = <1>;
+					xbar_sfc2_in_port: port@22 {
+						reg = <0x22>;
 
-							adx2_out1: endpoint {
-								remote-endpoint = <&xbar_adx2_out1>;
-							};
+						xbar_sfc2_in: endpoint {
+							remote-endpoint = <&sfc2_cif_in>;
 						};
+					};
 
-						adx2_out2_port: port@2 {
-							reg = <2>;
+					port@23 {
+						reg = <0x23>;
 
-							adx2_out2: endpoint {
-								remote-endpoint = <&xbar_adx2_out2>;
-							};
+						xbar_sfc2_out: endpoint {
+							remote-endpoint = <&sfc2_cif_out>;
 						};
+					};
 
-						adx2_out3_port: port@3 {
-							reg = <3>;
+					xbar_sfc3_in_port: port@24 {
+						reg = <0x24>;
 
-							adx2_out3: endpoint {
-								remote-endpoint = <&xbar_adx2_out3>;
-							};
+						xbar_sfc3_in: endpoint {
+							remote-endpoint = <&sfc3_cif_in>;
 						};
+					};
 
-						adx2_out4_port: port@4 {
-							reg = <4>;
+					port@25 {
+						reg = <0x25>;
 
-							adx2_out4: endpoint {
-								remote-endpoint = <&xbar_adx2_out4>;
-							};
+						xbar_sfc3_out: endpoint {
+							remote-endpoint = <&sfc3_cif_out>;
 						};
 					};
-				};
 
-				adx@2903a00 {
-					status = "okay";
+					xbar_sfc4_in_port: port@26 {
+						reg = <0x26>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_sfc4_in: endpoint {
+							remote-endpoint = <&sfc4_cif_in>;
+						};
+					};
 
-						port@0 {
-							reg = <0>;
+					port@27 {
+						reg = <0x27>;
 
-							adx3_in: endpoint {
-								remote-endpoint = <&xbar_adx3_in>;
-							};
+						xbar_sfc4_out: endpoint {
+							remote-endpoint = <&sfc4_cif_out>;
 						};
+					};
 
-						adx3_out1_port: port@1 {
-							reg = <1>;
+					xbar_mvc1_in_port: port@28 {
+						reg = <0x28>;
 
-							adx3_out1: endpoint {
-								remote-endpoint = <&xbar_adx3_out1>;
-							};
+						xbar_mvc1_in: endpoint {
+							remote-endpoint = <&mvc1_cif_in>;
 						};
+					};
 
-						adx3_out2_port: port@2 {
-							reg = <2>;
+					port@29 {
+						reg = <0x29>;
 
-							adx3_out2: endpoint {
-								remote-endpoint = <&xbar_adx3_out2>;
-							};
+						xbar_mvc1_out: endpoint {
+							remote-endpoint = <&mvc1_cif_out>;
 						};
+					};
 
-						adx3_out3_port: port@3 {
-							reg = <3>;
+					xbar_mvc2_in_port: port@2a {
+						reg = <0x2a>;
 
-							adx3_out3: endpoint {
-								remote-endpoint = <&xbar_adx3_out3>;
-							};
+						xbar_mvc2_in: endpoint {
+							remote-endpoint = <&mvc2_cif_in>;
 						};
+					};
 
-						adx3_out4_port: port@4 {
-							reg = <4>;
+					port@2b {
+						reg = <0x2b>;
 
-							adx3_out4: endpoint {
-								remote-endpoint = <&xbar_adx3_out4>;
-							};
+						xbar_mvc2_out: endpoint {
+							remote-endpoint = <&mvc2_cif_out>;
 						};
 					};
-				};
 
-				adx@2903b00 {
-					status = "okay";
+					xbar_amx1_in1_port: port@2c {
+						reg = <0x2c>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_amx1_in1: endpoint {
+							remote-endpoint = <&amx1_in1>;
+						};
+					};
 
-						port@0 {
-							reg = <0>;
+					xbar_amx1_in2_port: port@2d {
+						reg = <0x2d>;
 
-							adx4_in: endpoint {
-								remote-endpoint = <&xbar_adx4_in>;
-							};
+						xbar_amx1_in2: endpoint {
+							remote-endpoint = <&amx1_in2>;
 						};
+					};
 
-						adx4_out1_port: port@1 {
-							reg = <1>;
+					xbar_amx1_in3_port: port@2e {
+						reg = <0x2e>;
 
-							adx4_out1: endpoint {
-								remote-endpoint = <&xbar_adx4_out1>;
-							};
+						xbar_amx1_in3: endpoint {
+							remote-endpoint = <&amx1_in3>;
 						};
+					};
 
-						adx4_out2_port: port@2 {
-							reg = <2>;
+					xbar_amx1_in4_port: port@2f {
+						reg = <0x2f>;
 
-							adx4_out2: endpoint {
-								remote-endpoint = <&xbar_adx4_out2>;
-							};
+						xbar_amx1_in4: endpoint {
+							remote-endpoint = <&amx1_in4>;
 						};
+					};
 
-						adx4_out3_port: port@3 {
-							reg = <3>;
+					port@30 {
+						reg = <0x30>;
 
-							adx4_out3: endpoint {
-								remote-endpoint = <&xbar_adx4_out3>;
-							};
+						xbar_amx1_out: endpoint {
+							remote-endpoint = <&amx1_out>;
 						};
+					};
 
-						adx4_out4_port: port@4 {
-							reg = <4>;
+					xbar_amx2_in1_port: port@31 {
+						reg = <0x31>;
 
-							adx4_out4: endpoint {
-								remote-endpoint = <&xbar_adx4_out4>;
-							};
+						xbar_amx2_in1: endpoint {
+							remote-endpoint = <&amx2_in1>;
 						};
 					};
-				};
 
-				dmic@2904200 {
-					status = "okay";
+					xbar_amx2_in2_port: port@32 {
+						reg = <0x32>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_amx2_in2: endpoint {
+							remote-endpoint = <&amx2_in2>;
+						};
+					};
 
-						port@0 {
-							reg = <0>;
+					xbar_amx2_in3_port: port@33 {
+						reg = <0x33>;
 
-							dmic3_cif: endpoint {
-								remote-endpoint = <&xbar_dmic3>;
-							};
+						xbar_amx2_in3: endpoint {
+							remote-endpoint = <&amx2_in3>;
 						};
+					};
 
-						dmic3_port: port@1 {
-							reg = <1>;
+					xbar_amx2_in4_port: port@34 {
+						reg = <0x34>;
 
-							dmic3_dap: endpoint {
-								/* placeholder for external codec */
-							};
+						xbar_amx2_in4: endpoint {
+							remote-endpoint = <&amx2_in4>;
 						};
 					};
-				};
 
-				processing-engine@2908000 {
-					status = "okay";
+					port@35 {
+						reg = <0x35>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_amx2_out: endpoint {
+							remote-endpoint = <&amx2_out>;
+						};
+					};
 
-						port@0 {
-							reg = <0x0>;
+					xbar_amx3_in1_port: port@36 {
+						reg = <0x36>;
 
-							ope1_cif_in_ep: endpoint {
-								remote-endpoint = <&xbar_ope1_in_ep>;
-							};
+						xbar_amx3_in1: endpoint {
+							remote-endpoint = <&amx3_in1>;
 						};
+					};
 
-						ope1_out_port: port@1 {
-							reg = <0x1>;
+					xbar_amx3_in2_port: port@37 {
+						reg = <0x37>;
 
-							ope1_cif_out_ep: endpoint {
-								remote-endpoint = <&xbar_ope1_out_ep>;
-							};
+						xbar_amx3_in2: endpoint {
+							remote-endpoint = <&amx3_in2>;
 						};
 					};
-				};
 
-				mvc@290a000 {
-					status = "okay";
+					xbar_amx3_in3_port: port@38 {
+						reg = <0x38>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_amx3_in3: endpoint {
+							remote-endpoint = <&amx3_in3>;
+						};
+					};
 
-						port@0 {
-							reg = <0>;
+					xbar_amx3_in4_port: port@39 {
+						reg = <0x39>;
 
-							mvc1_cif_in: endpoint {
-								remote-endpoint = <&xbar_mvc1_in>;
-							};
+						xbar_amx3_in4: endpoint {
+							remote-endpoint = <&amx3_in4>;
 						};
+					};
 
-						mvc1_out_port: port@1 {
-							reg = <1>;
+					port@3a {
+						reg = <0x3a>;
 
-							mvc1_cif_out: endpoint {
-								remote-endpoint = <&xbar_mvc1_out>;
-							};
+						xbar_amx3_out: endpoint {
+							remote-endpoint = <&amx3_out>;
 						};
 					};
-				};
 
-				mvc@290a200 {
-					status = "okay";
+					xbar_amx4_in1_port: port@3b {
+						reg = <0x3b>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_amx4_in1: endpoint {
+							remote-endpoint = <&amx4_in1>;
+						};
+					};
 
-						port@0 {
-							reg = <0>;
+					xbar_amx4_in2_port: port@3c {
+						reg = <0x3c>;
 
-							mvc2_cif_in: endpoint {
-								remote-endpoint = <&xbar_mvc2_in>;
-							};
+						xbar_amx4_in2: endpoint {
+							remote-endpoint = <&amx4_in2>;
 						};
+					};
 
-						mvc2_out_port: port@1 {
-							reg = <1>;
+					xbar_amx4_in3_port: port@3d {
+						reg = <0x3d>;
 
-							mvc2_cif_out: endpoint {
-								remote-endpoint = <&xbar_mvc2_out>;
-							};
+						xbar_amx4_in3: endpoint {
+							remote-endpoint = <&amx4_in3>;
 						};
 					};
-				};
 
-				amixer@290bb00 {
-					status = "okay";
+					xbar_amx4_in4_port: port@3e {
+						reg = <0x3e>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_amx4_in4: endpoint {
+							remote-endpoint = <&amx4_in4>;
+						};
+					};
 
-						port@0 {
-							reg = <0x0>;
+					port@3f {
+						reg = <0x3f>;
 
-							mix_in1: endpoint {
-								remote-endpoint = <&xbar_mix_in1>;
-							};
+						xbar_amx4_out: endpoint {
+							remote-endpoint = <&amx4_out>;
 						};
+					};
 
-						port@1 {
-							reg = <0x1>;
+					xbar_adx1_in_port: port@40 {
+						reg = <0x40>;
 
-							mix_in2: endpoint {
-								remote-endpoint = <&xbar_mix_in2>;
-							};
+						xbar_adx1_in: endpoint {
+							remote-endpoint = <&adx1_in>;
 						};
+					};
 
-						port@2 {
-							reg = <0x2>;
+					port@41 {
+						reg = <0x41>;
 
-							mix_in3: endpoint {
-								remote-endpoint = <&xbar_mix_in3>;
-							};
+						xbar_adx1_out1: endpoint {
+							remote-endpoint = <&adx1_out1>;
 						};
+					};
 
-						port@3 {
-							reg = <0x3>;
+					port@42 {
+						reg = <0x42>;
 
-							mix_in4: endpoint {
-								remote-endpoint = <&xbar_mix_in4>;
-							};
+						xbar_adx1_out2: endpoint {
+							remote-endpoint = <&adx1_out2>;
 						};
+					};
 
-						port@4 {
-							reg = <0x4>;
+					port@43 {
+						reg = <0x43>;
 
-							mix_in5: endpoint {
-								remote-endpoint = <&xbar_mix_in5>;
-							};
+						xbar_adx1_out3: endpoint {
+							remote-endpoint = <&adx1_out3>;
 						};
+					};
 
-						port@5 {
-							reg = <0x5>;
+					port@44 {
+						reg = <0x44>;
 
-							mix_in6: endpoint {
-								remote-endpoint = <&xbar_mix_in6>;
-							};
+						xbar_adx1_out4: endpoint {
+							remote-endpoint = <&adx1_out4>;
 						};
+					};
 
-						port@6 {
-							reg = <0x6>;
+					xbar_adx2_in_port: port@45 {
+						reg = <0x45>;
 
-							mix_in7: endpoint {
-								remote-endpoint = <&xbar_mix_in7>;
-							};
+						xbar_adx2_in: endpoint {
+							remote-endpoint = <&adx2_in>;
 						};
+					};
 
-						port@7 {
-							reg = <0x7>;
+					port@46 {
+						reg = <0x46>;
 
-							mix_in8: endpoint {
-								remote-endpoint = <&xbar_mix_in8>;
-							};
+						xbar_adx2_out1: endpoint {
+							remote-endpoint = <&adx2_out1>;
 						};
+					};
 
-						port@8 {
-							reg = <0x8>;
+					port@47 {
+						reg = <0x47>;
 
-							mix_in9: endpoint {
-								remote-endpoint = <&xbar_mix_in9>;
-							};
+						xbar_adx2_out2: endpoint {
+							remote-endpoint = <&adx2_out2>;
 						};
+					};
 
-						port@9 {
-							reg = <0x9>;
+					port@48 {
+						reg = <0x48>;
 
-							mix_in10: endpoint {
-								remote-endpoint = <&xbar_mix_in10>;
-							};
+						xbar_adx2_out3: endpoint {
+							remote-endpoint = <&adx2_out3>;
 						};
+					};
 
-						mix_out1_port: port@a {
-							reg = <0xa>;
+					port@49 {
+						reg = <0x49>;
 
-							mix_out1: endpoint {
-								remote-endpoint = <&xbar_mix_out1>;
-							};
+						xbar_adx2_out4: endpoint {
+							remote-endpoint = <&adx2_out4>;
 						};
+					};
 
-						mix_out2_port: port@b {
-							reg = <0xb>;
+					xbar_adx3_in_port: port@4a {
+						reg = <0x4a>;
 
-							mix_out2: endpoint {
-								remote-endpoint = <&xbar_mix_out2>;
-							};
+						xbar_adx3_in: endpoint {
+							remote-endpoint = <&adx3_in>;
 						};
+					};
 
-						mix_out3_port: port@c {
-							reg = <0xc>;
+					port@4b {
+						reg = <0x4b>;
 
-							mix_out3: endpoint {
-								remote-endpoint = <&xbar_mix_out3>;
-							};
+						xbar_adx3_out1: endpoint {
+							remote-endpoint = <&adx3_out1>;
 						};
+					};
 
-						mix_out4_port: port@d {
-							reg = <0xd>;
+					port@4c {
+						reg = <0x4c>;
 
-							mix_out4: endpoint {
-								remote-endpoint = <&xbar_mix_out4>;
-							};
+						xbar_adx3_out2: endpoint {
+							remote-endpoint = <&adx3_out2>;
 						};
+					};
 
-						mix_out5_port: port@e {
-							reg = <0xe>;
+					port@4d {
+						reg = <0x4d>;
 
-							mix_out5: endpoint {
-								remote-endpoint = <&xbar_mix_out5>;
-							};
+						xbar_adx3_out3: endpoint {
+							remote-endpoint = <&adx3_out3>;
 						};
 					};
-				};
 
-				admaif@290f000 {
-					status = "okay";
+					port@4e {
+						reg = <0x4e>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_adx3_out4: endpoint {
+							remote-endpoint = <&adx3_out4>;
+						};
+					};
 
-						admaif0_port: port@0 {
-							reg = <0x0>;
+					xbar_adx4_in_port: port@4f {
+						reg = <0x4f>;
 
-							admaif0: endpoint {
-								remote-endpoint = <&xbar_admaif0>;
-							};
+						xbar_adx4_in: endpoint {
+							remote-endpoint = <&adx4_in>;
 						};
+					};
 
-						admaif1_port: port@1 {
-							reg = <0x1>;
+					port@50 {
+						reg = <0x50>;
 
-							admaif1: endpoint {
-								remote-endpoint = <&xbar_admaif1>;
-							};
+						xbar_adx4_out1: endpoint {
+							remote-endpoint = <&adx4_out1>;
 						};
+					};
 
-						admaif2_port: port@2 {
-							reg = <0x2>;
+					port@51 {
+						reg = <0x51>;
 
-							admaif2: endpoint {
-								remote-endpoint = <&xbar_admaif2>;
-							};
+						xbar_adx4_out2: endpoint {
+							remote-endpoint = <&adx4_out2>;
 						};
+					};
 
-						admaif3_port: port@3 {
-							reg = <0x3>;
+					port@52 {
+						reg = <0x52>;
 
-							admaif3: endpoint {
-								remote-endpoint = <&xbar_admaif3>;
-							};
+						xbar_adx4_out3: endpoint {
+							remote-endpoint = <&adx4_out3>;
 						};
+					};
 
-						admaif4_port: port@4 {
-							reg = <0x4>;
+					port@53 {
+						reg = <0x53>;
 
-							admaif4: endpoint {
-								remote-endpoint = <&xbar_admaif4>;
-							};
+						xbar_adx4_out4: endpoint {
+							remote-endpoint = <&adx4_out4>;
 						};
+					};
 
-						admaif5_port: port@5 {
-							reg = <0x5>;
+					xbar_mix_in1_port: port@54 {
+						reg = <0x54>;
 
-							admaif5: endpoint {
-								remote-endpoint = <&xbar_admaif5>;
-							};
+						xbar_mix_in1: endpoint {
+							remote-endpoint = <&mix_in1>;
 						};
+					};
 
-						admaif6_port: port@6 {
-							reg = <0x6>;
+					xbar_mix_in2_port: port@55 {
+						reg = <0x55>;
 
-							admaif6: endpoint {
-								remote-endpoint = <&xbar_admaif6>;
-							};
+						xbar_mix_in2: endpoint {
+							remote-endpoint = <&mix_in2>;
 						};
+					};
 
-						admaif7_port: port@7 {
-							reg = <0x7>;
+					xbar_mix_in3_port: port@56 {
+						reg = <0x56>;
 
-							admaif7: endpoint {
-								remote-endpoint = <&xbar_admaif7>;
-							};
+						xbar_mix_in3: endpoint {
+							remote-endpoint = <&mix_in3>;
 						};
+					};
 
-						admaif8_port: port@8 {
-							reg = <0x8>;
+					xbar_mix_in4_port: port@57 {
+						reg = <0x57>;
 
-							admaif8: endpoint {
-								remote-endpoint = <&xbar_admaif8>;
-							};
+						xbar_mix_in4: endpoint {
+							remote-endpoint = <&mix_in4>;
 						};
+					};
 
-						admaif9_port: port@9 {
-							reg = <0x9>;
+					xbar_mix_in5_port: port@58 {
+						reg = <0x58>;
 
-							admaif9: endpoint {
-								remote-endpoint = <&xbar_admaif9>;
-							};
+						xbar_mix_in5: endpoint {
+							remote-endpoint = <&mix_in5>;
 						};
+					};
 
-						admaif10_port: port@a {
-							reg = <0xa>;
+					xbar_mix_in6_port: port@59 {
+						reg = <0x59>;
 
-							admaif10: endpoint {
-								remote-endpoint = <&xbar_admaif10>;
-							};
+						xbar_mix_in6: endpoint {
+							remote-endpoint = <&mix_in6>;
 						};
+					};
 
-						admaif11_port: port@b {
-							reg = <0xb>;
+					xbar_mix_in7_port: port@5a {
+						reg = <0x5a>;
 
-							admaif11: endpoint {
-								remote-endpoint = <&xbar_admaif11>;
-							};
+						xbar_mix_in7: endpoint {
+							remote-endpoint = <&mix_in7>;
 						};
+					};
 
-						admaif12_port: port@c {
-							reg = <0xc>;
+					xbar_mix_in8_port: port@5b {
+						reg = <0x5b>;
 
-							admaif12: endpoint {
-								remote-endpoint = <&xbar_admaif12>;
-							};
+						xbar_mix_in8: endpoint {
+							remote-endpoint = <&mix_in8>;
 						};
+					};
 
-						admaif13_port: port@d {
-							reg = <0xd>;
+					xbar_mix_in9_port: port@5c {
+						reg = <0x5c>;
 
-							admaif13: endpoint {
-								remote-endpoint = <&xbar_admaif13>;
-							};
+						xbar_mix_in9: endpoint {
+							remote-endpoint = <&mix_in9>;
 						};
+					};
 
-						admaif14_port: port@e {
-							reg = <0xe>;
+					xbar_mix_in10_port: port@5d {
+						reg = <0x5d>;
 
-							admaif14: endpoint {
-								remote-endpoint = <&xbar_admaif14>;
-							};
+						xbar_mix_in10: endpoint {
+							remote-endpoint = <&mix_in10>;
 						};
+					};
 
-						admaif15_port: port@f {
-							reg = <0xf>;
+					port@5e {
+						reg = <0x5e>;
 
-							admaif15: endpoint {
-								remote-endpoint = <&xbar_admaif15>;
-							};
+						xbar_mix_out1: endpoint {
+							remote-endpoint = <&mix_out1>;
 						};
+					};
 
-						admaif16_port: port@10 {
-							reg = <0x10>;
+					port@5f {
+						reg = <0x5f>;
 
-							admaif16: endpoint {
-								remote-endpoint = <&xbar_admaif16>;
-							};
+						xbar_mix_out2: endpoint {
+							remote-endpoint = <&mix_out2>;
 						};
+					};
 
-						admaif17_port: port@11 {
-							reg = <0x11>;
+					port@60 {
+						reg = <0x60>;
 
-							admaif17: endpoint {
-								remote-endpoint = <&xbar_admaif17>;
-							};
+						xbar_mix_out3: endpoint {
+							remote-endpoint = <&mix_out3>;
 						};
+					};
 
-						admaif18_port: port@12 {
-							reg = <0x12>;
+					port@61 {
+						reg = <0x61>;
 
-							admaif18: endpoint {
-								remote-endpoint = <&xbar_admaif18>;
-							};
+						xbar_mix_out4: endpoint {
+							remote-endpoint = <&mix_out4>;
 						};
+					};
 
-						admaif19_port: port@13 {
-							reg = <0x13>;
+					port@62 {
+						reg = <0x62>;
 
-							admaif19: endpoint {
-								remote-endpoint = <&xbar_admaif19>;
-							};
+						xbar_mix_out5: endpoint {
+							remote-endpoint = <&mix_out5>;
+						};
+					};
+
+					xbar_asrc_in1_port: port@63 {
+						reg = <0x63>;
+
+						xbar_asrc_in1_ep: endpoint {
+							remote-endpoint = <&asrc_in1_ep>;
 						};
 					};
-				};
 
-				asrc@2910000 {
-					status = "okay";
+					port@64 {
+						reg = <0x64>;
 
-					ports {
-						#address-cells = <1>;
-						#size-cells = <0>;
+						xbar_asrc_out1_ep: endpoint {
+							remote-endpoint = <&asrc_out1_ep>;
+						};
+					};
 
-						port@0 {
-							reg = <0x0>;
+					xbar_asrc_in2_port: port@65 {
+						reg = <0x65>;
 
-							asrc_in1_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_in1_ep>;
-							};
+						xbar_asrc_in2_ep: endpoint {
+							remote-endpoint = <&asrc_in2_ep>;
 						};
+					};
 
-						port@1 {
-							reg = <0x1>;
+					port@66 {
+						reg = <0x66>;
 
-							asrc_in2_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_in2_ep>;
-							};
+						xbar_asrc_out2_ep: endpoint {
+							remote-endpoint = <&asrc_out2_ep>;
 						};
+					};
 
-						port@2 {
-							reg = <0x2>;
+					xbar_asrc_in3_port: port@67 {
+						reg = <0x67>;
 
-							asrc_in3_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_in3_ep>;
-							};
+						xbar_asrc_in3_ep: endpoint {
+							remote-endpoint = <&asrc_in3_ep>;
 						};
+					};
 
-						port@3 {
-							reg = <0x3>;
+					port@68 {
+						reg = <0x68>;
 
-							asrc_in4_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_in4_ep>;
-							};
+						xbar_asrc_out3_ep: endpoint {
+							remote-endpoint = <&asrc_out3_ep>;
 						};
+					};
 
-						port@4 {
-							reg = <0x4>;
+					xbar_asrc_in4_port: port@69 {
+						reg = <0x69>;
 
-							asrc_in5_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_in5_ep>;
-							};
+						xbar_asrc_in4_ep: endpoint {
+							remote-endpoint = <&asrc_in4_ep>;
 						};
+					};
 
-						port@5 {
-							reg = <0x5>;
+					port@6a {
+						reg = <0x6a>;
 
-							asrc_in6_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_in6_ep>;
-							};
+						xbar_asrc_out4_ep: endpoint {
+							remote-endpoint = <&asrc_out4_ep>;
 						};
+					};
 
-						port@6 {
-							reg = <0x6>;
+					xbar_asrc_in5_port: port@6b {
+						reg = <0x6b>;
 
-							asrc_in7_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_in7_ep>;
-							};
+						xbar_asrc_in5_ep: endpoint {
+							remote-endpoint = <&asrc_in5_ep>;
 						};
+					};
 
-						asrc_out1_port: port@7 {
-							reg = <0x7>;
+					port@6c {
+						reg = <0x6c>;
 
-							asrc_out1_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_out1_ep>;
-							};
+						xbar_asrc_out5_ep: endpoint {
+							remote-endpoint = <&asrc_out5_ep>;
 						};
+					};
 
-						asrc_out2_port: port@8 {
-							reg = <0x8>;
+					xbar_asrc_in6_port: port@6d {
+						reg = <0x6d>;
 
-							asrc_out2_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_out2_ep>;
-							};
+						xbar_asrc_in6_ep: endpoint {
+							remote-endpoint = <&asrc_in6_ep>;
 						};
+					};
 
-						asrc_out3_port: port@9 {
-							reg = <0x9>;
+					port@6e {
+						reg = <0x6e>;
 
-							asrc_out3_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_out3_ep>;
-							};
+						xbar_asrc_out6_ep: endpoint {
+							remote-endpoint = <&asrc_out6_ep>;
 						};
+					};
 
-						asrc_out4_port: port@a {
-							reg = <0xa>;
+					xbar_asrc_in7_port: port@6f {
+						reg = <0x6f>;
 
-							asrc_out4_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_out4_ep>;
-							};
+						xbar_asrc_in7_ep: endpoint {
+							remote-endpoint = <&asrc_in7_ep>;
 						};
+					};
 
-						asrc_out5_port: port@b {
-							reg = <0xb>;
+					xbar_ope1_in_port: port@70 {
+						reg = <0x70>;
 
-							asrc_out5_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_out5_ep>;
-							};
+						xbar_ope1_in_ep: endpoint {
+							remote-endpoint = <&ope1_cif_in_ep>;
 						};
+					};
 
-						asrc_out6_port:	port@c {
-							reg = <0xc>;
+					port@71 {
+						reg = <0x71>;
 
-							asrc_out6_ep: endpoint {
-								remote-endpoint = <&xbar_asrc_out6_ep>;
-							};
+						xbar_ope1_out_ep: endpoint {
+							remote-endpoint = <&ope1_cif_out_ep>;
 						};
 					};
 				};
